class GraduationTaskGroupAssignation < ApplicationRecord
  # temporary 0: 正式分配  1：临时分配（交叉评阅设置中临时分配的作品，点取消时会删除） 2: 删除标志
  belongs_to :graduation_task
  belongs_to :graduation_group
  belongs_to :assign_group, class_name: 'GraduationGroup', foreign_key: :assign_graduation_group_id, optional: true  # 分配的互评组
  belongs_to :graduation_work, optional: true

  scope :temporary, -> {where(temporary: 1)}
  scope :formal, -> {where(temporary: 0)}
  scope :temporary_delete, -> {where(temporary: 2)}
  scope :temporary_formal, -> {where(temporary: [0, 1])}
end
